be.fgov.ehealth.commons._1_0.core

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.core.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.commons._1_0.core package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons._1_0.core

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdentifierType` | `createIdentifierType()` Create an instance of `IdentifierType`
    `LocalisedString` | `createLocalisedString()` Create an instance of `LocalisedString`
    `PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
    `Status` | `createStatus()` Create an instance of `Status`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons._1_0.core

  - ### Method Detail

    - #### createStatus

          public Status createStatus()

      Create an instance of `Status`

    - #### createLocalisedString

          public LocalisedString createLocalisedString()

      Create an instance of `LocalisedString`

    - #### createIdentifierType

          public IdentifierType createIdentifierType()

      Create an instance of `IdentifierType`

    - #### createPeriodType

          public PeriodType createPeriodType()

      Create an instance of `PeriodType`

Connector Packaging generic 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.